Skip to main content
POST
/
v1
/
customer-portal
/
members
Add Member
curl --request POST \
  --url https://api.spairehq.com/v1/customer-portal/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "name": "<string>",
  "role": "member"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "email": "<string>",
  "name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Member session tokens are specific tokens that are used to authenticate members on your organization. You can create those sessions programmatically using the Create Member Session endpoint.

Body

application/json

Schema for adding a new member to the customer's team.

email
string<email>
required

The email address of the new member.

name
string | null

The name of the new member (optional).

role
enum<string>
default:member

The role for the new member. Defaults to 'member'.

Available options:
owner,
billing_manager,
member
Examples:

"billing_manager"

"member"

Response

Member added.

A member of the customer's team as seen in the customer portal.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

id
string<uuid4>
required

The ID of the object.

email
string
required

The email address of the member.

name
string | null
required

The name of the member.

role
enum<string>
required

The role of the member within the team.

Available options:
owner,
billing_manager,
member